petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscMemoryView

Shows the amount of memory currently being used in a communicator.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMemoryView(PetscViewer viewer,const char message[])

Collective on PetscViewer Many br

### Input Parameter

| viewer | - the viewer that defines the communicator Many br
| message | - string printed before values Many br

### Options Database

| -malloc | - have PETSc track how much memory it has allocated Many br
| -memory_view | - during PetscFinalize() have this routine called Many br

Many br

### See Also

PetscMallocDump(), PetscMemoryGetCurrentUsage(), PetscMemorySetGetMaximumUsage()

Level:intermediate
Location:src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages